Skip to main content
POST
/
v1
/
datasets
/
{datasetName}
/
rows
Append Dataset Row
curl --request POST \
  --url https://api.agentmark.co/v1/datasets/{datasetName}/rows \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'X-Agentmark-App-Id: <x-agentmark-app-id>' \
  --data '
{
  "input": "I love this product!",
  "expected_output": "positive"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Your AgentMark API key. Create one in the dashboard under Settings > API Keys.

Example: Authorization: Bearer am_live_abc123

Headers

X-Agentmark-App-Id
string
required

Your application ID. Found in the dashboard under Settings > General.

Example:

"app_abc123"

Path Parameters

datasetName
string
required

Dataset path without the .jsonl extension (URL-encoded).

Body

application/json

The row data to append as a JSON object.

Response

Row appended successfully.

success
boolean
required
Example:

true